D-Bus 1.13.18

Data Fields
DBusAuthMechanismHandler Struct Reference
D-Bus secret internal implementation details » Authentication implementation details

Virtual table representing a particular auth mechanism. More...

## Data Fields
const char * | mechanism
| Name of the mechanism.
DBusAuthDataFunction | server_data_func
| Function on server side for DATA.
DBusAuthEncodeFunction | server_encode_func
| Function on server side to encode.
DBusAuthDecodeFunction | server_decode_func
| Function on server side to decode.
DBusAuthShutdownFunction | server_shutdown_func
| Function on server side to shut down.
DBusInitialResponseFunction | client_initial_response_func
| Function on client side to handle initial response.
DBusAuthDataFunction | client_data_func
| Function on client side for DATA.
DBusAuthEncodeFunction | client_encode_func
| Function on client side for encode.
DBusAuthDecodeFunction | client_decode_func
| Function on client side for decode.
DBusAuthShutdownFunction | client_shutdown_func
| Function on client side for shutdown.

## Detailed Description

Virtual table representing a particular auth mechanism.

Definition at line 102 of file dbus-auth.c.

The documentation for this struct was generated from the following file:

- dbus-auth.c